org.eclipse.microprofile.graphql.tck.apps.superhero.model

## Class SuperHero

- java.lang.Object
- - org.eclipse.microprofile.graphql.tck.apps.superhero.model.SuperHero

All Implemented Interfaces:
  Character

    public class SuperHero
    extends Object
    implements Character

### Nested Class Summary

Nested Classes
`static class` `SuperHero.ShirtSize`

### Constructor Summary

Constructors
Constructor and Description
`SuperHero()`
`SuperHero(List<Team> teamAffiliations, List<String> superPowers, String primaryLocation, String name, String realName)`

### Method Summary

All Methods Instance Methods Concrete Methods
`Double` `getBankBalance()`
`Set<String>` `getBeenThere()`
`LocalDate` `getBirthday()`
`String` `getCostumeColor()`
`LocalDate` `getDateOfLastCheckin()`
`List<Item>` `getEquipment()`
`Float` `getFavouriteDrinkSize()`
`Long` `getIdNumber()`
`List<LocalDate>` `getImportantDates()`
`List<Integer>` `getKidsAges()`
`List<BigDecimal>` `getLastKnownCoordinates()`
`String` `getName()`
`List<String>` `getNamesOfKnownEnemies()`
`BigDecimal` `getNetWorth()`
`LocalTime` `getPatrolStartTime()`
`String` `getPrimaryLocation()`
`String` `getRealName()`
`SuperHero.ShirtSize` `getSizeOfTShirt()`
`List<String>` `getSuperPowers()`
`List<Team>` `getTeamAffiliations()`
`LocalDateTime` `getTimeOfLastBattle()`
`List<List<BigDecimal>>` `getTrack()`
`void` `setBankBalance(Double bankBalance)`
`void` `setBeenThere(Set<String> beenThere)`
`void` `setBirthday(LocalDate birthday)`
`void` `setCostumeColor(String costumeColor)`
`void` `setDateOfLastCheckin(LocalDate dateOfLastCheckin)`
`void` `setEquipment(List<Item> equipment)`
`void` `setFavouriteDrinkSize(Float favouriteDrinkSize)`
`void` `setIdNumber(Long idNumber)`
`void` `setImportantDates(List<LocalDate> importantDates)`
`void` `setKidsAges(List<Integer> kidsAges)`
`void` `setLastKnownCoordinates(List<BigDecimal> lastKnownCoordinates)`
`void` `setName(String name)`
`void` `setNamesOfKnownEnemies(List<String> namesOfKnownEnemies)`
`void` `setNetWorth(BigDecimal netWorth)`
`void` `setPatrolStartTime(LocalTime patrolStartTime)`
`void` `setPrimaryLocation(String primaryLocation)`
`void` `setRealName(String realName)`
`void` `setSizeOfTShirt(SuperHero.ShirtSize sizeOfTShirt)`
`void` `setSuperPowers(List<String> superPowers)`
`void` `setTeamAffiliations(List<Team> teamAffiliations)`
`void` `setTimeOfLastBattle(LocalDateTime timeOfLastBattle)`
`void` `setTrack(List<List<BigDecimal>> track)`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### SuperHero

    public SuperHero()

#### SuperHero

    public SuperHero(List<Team> teamAffiliations,
                     List<String> superPowers,
                     String primaryLocation,
                     String name,
                     String realName)

### Method Detail

#### getTeamAffiliations

    public List<Team> getTeamAffiliations()

#### getSuperPowers

    public List<String> getSuperPowers()

#### getPrimaryLocation

    @Description(value="Location where you are most likely to find this hero")
    public String getPrimaryLocation()

#### getName

    public String getName()

Specified by:
  `getName` in interface `Character`

#### getRealName

    public String getRealName()

#### setTeamAffiliations

    public void setTeamAffiliations(List<Team> teamAffiliations)

#### setSuperPowers

    @Description(value="Powers that make this hero super")
    public void setSuperPowers(List<String> superPowers)

#### setPrimaryLocation

    public void setPrimaryLocation(String primaryLocation)

#### setName

    @NonNull
    public void setName(String name)

Specified by:
  `setName` in interface `Character`

#### setRealName

    public void setRealName(String realName)

#### getEquipment

    public List<Item> getEquipment()

#### setEquipment

    public void setEquipment(List<Item> equipment)

#### getCostumeColor

    public String getCostumeColor()

#### setCostumeColor

    public void setCostumeColor(String costumeColor)

#### getNamesOfKnownEnemies

    @Query(value="knownEnemies")
    public List<String> getNamesOfKnownEnemies()

#### setNamesOfKnownEnemies

    public void setNamesOfKnownEnemies(List<String> namesOfKnownEnemies)

#### getDateOfLastCheckin

    public LocalDate getDateOfLastCheckin()

#### setDateOfLastCheckin

    public void setDateOfLastCheckin(LocalDate dateOfLastCheckin)

#### getIdNumber

    public Long getIdNumber()

#### setIdNumber

    public void setIdNumber(Long idNumber)

#### getPatrolStartTime

    public LocalTime getPatrolStartTime()

#### setPatrolStartTime

    public void setPatrolStartTime(LocalTime patrolStartTime)

#### getTimeOfLastBattle

    public LocalDateTime getTimeOfLastBattle()

#### setTimeOfLastBattle

    public void setTimeOfLastBattle(LocalDateTime timeOfLastBattle)

#### getSizeOfTShirt

    public SuperHero.ShirtSize getSizeOfTShirt()

#### setSizeOfTShirt

    @Name(value="tshirtSize")
    public void setSizeOfTShirt(SuperHero.ShirtSize sizeOfTShirt)

#### getBankBalance

    public Double getBankBalance()

#### setBankBalance

    public void setBankBalance(Double bankBalance)

#### getNetWorth

    public BigDecimal getNetWorth()

#### setNetWorth

    public void setNetWorth(BigDecimal netWorth)

#### getFavouriteDrinkSize

    public Float getFavouriteDrinkSize()

#### setFavouriteDrinkSize

    public void setFavouriteDrinkSize(Float favouriteDrinkSize)

#### getLastKnownCoordinates

    public List<BigDecimal> getLastKnownCoordinates()

#### setLastKnownCoordinates

    public void setLastKnownCoordinates(List<BigDecimal> lastKnownCoordinates)

#### getTrack

    public List<List<BigDecimal>> getTrack()

#### setTrack

    public void setTrack(List<List<BigDecimal>> track)

#### getBeenThere

    public Set<String> getBeenThere()

#### setBeenThere

    public void setBeenThere(Set<String> beenThere)

#### getImportantDates

    public List<LocalDate> getImportantDates()

#### setImportantDates

    @Name(value="calendarEntries")
    public void setImportantDates(List<LocalDate> importantDates)

#### getKidsAges

    @Name(value="agesOfKids")
    public List<Integer> getKidsAges()

#### setKidsAges

    public void setKidsAges(List<Integer> kidsAges)

#### getBirthday

    public LocalDate getBirthday()

#### setBirthday

    @Name(value="dateOfBirth")
    public void setBirthday(LocalDate birthday)

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`